% !TEX root = ../toptesi-scudo-example.tex
% !TEX encoding = UTF-8 Unicode
%*****************************************************************
%*********************** Third chapter ***************************
%*****************************************************************

\newcommand*{\tran}{\top}
\newcommand{\hest}[1]{\hat{\mathbf{h}}_{#1}^s}
\newcommand{\h}[1]{\mathbf{h}_{#1}^s}
\newcommand{\rest}[1]{\hat{r}_{#1}^s}
\newcommand{\rcor}[1]{\tilde{r}_{#1}^s}
\newcommand{\rvec}[1]{\hat{\mathbf{r}}_{#1}^s}
\newcommand{\xest}[1]{\hat{\mathbf{x}}_{#1}}
\newcommand{\Hybrid}[1]{\bar{\ve{H}}_{#1}}
\newcommand{\xpos}[1]{\underline{\mathbf{x}}_{#1}}
\newcommand{\xposest}[1]{\underline{\hat{\mathbf{x}}}_{#1}}

\chapter{Hybridized Navigation Filters and theoretical limits on positioning with correlated measurements}
\label{ch:navFilters}

% ********************** Define Graphics Path ********************
\graphicspath{{Chapter5/Figures/paper/}}
    
In the last decades, a relevant effort has been spent to investigate the combinations of \ac{GNSS} and auxiliary sources of \ac{RF} signals (e.g. cellular base stations, Wi-Fi\texttrademark  ~access points) from a single receiver perspective. The \textit{joint exploitation} of these sources has been oriented to the achievement of a \textit{seamless positioning system}, with the aim of overcoming the limitations of \ac{GNSS}\cite{dardari2012satellite,xiong2014hybrid}.
 
The combination of multiple signal sources is generally known in \ac{PNT} as \textit{hybridization} and concerns the merge of different localization technologies available at the \ac{RF} receivers. 
 
The simplest approach for the \textit{hybridization} of multiple localization technologies consists in the geometrical weighted averaging of the positioning solutions obtained through each of them. In the context of proprioceptive sensors integration, this is known as \textit{loose coupling}. Provided that this approach is highly suboptimal, different solutions were developed to fuse information at a lower architecture level, thus exploiting \textit{tight integration}. Further advances have been recently pursued in sensor fusion through ultra-tight integration which aim at merging auxiliary information prior to the generation of pseudorange measurements in \ac{GNSS}-based positioning systems. Tight and ultra-tight integration schemes have been deeply investigated in \ac{GNSS} literature for the integration of inertial sensors \cite{angrisano2010gnss,falco2012performance, cristodaro2019advanced}

In the following, the inclusion of additional collaborative measurements will be performed at measurements level by pursuing \textit{tightly integrated} solution according to which a statistical approach is preferred rather than a geometrical average (e.g. loose integration). Ultra-tight schemes are not suitable to integrate such a kind of additional information.

The approach proposed in this chapter aim at providing a subset of potential tight integration solutions of correlated information according to the architecture of the most popular navigation filters. Well-known alternatives to the traditional \ac{EKF} such as the \ac{UKF} will not be analysed in this chapter since they are designed to deal with strong non-linearity of the target system. Therefore, after the introduction of the Bayesian estimation theory related to the \ac{HMM}s associated to the positioning problem, this chapter provides a formal description of hybridized navigation filters starting from a basic \ac{MMSE} filter such as the \ac{H-WLMS}, suitable for static systems and for the initialization of Bayesian navigation algorithms. The chapter will continue with the presentation of the hybrid version of two popular recursive Bayesian estimators, namely \ac{H-EKF} and \ac{H-PF} whose indirect formulations have been implemented within this work. The last section provides a theoretical analysis based on previous and original contributions about the theoretical limits of the hybrid positioning including the novel \ac{IAR} measurements discussed in Chapter \ref{ch:rangingAlgorithms}, as well.

\section{Modified \ac{HMM} for correlated measurements}
\label{sec:hmm}

The estimation problem to be solved in positioning and navigation is often referred in literature to as \textit{object tracking}, where the \textit{object} can be indeed a \ac{GNSS} receiver in the form of a stand-alone equipment or embedded in a number of possible devices (e.g. vehicular navigation systems, smartphones, smartwatches). The term \textit{tracking} can be easily confused with the \textit{signal tracking} performed by the receiver, therefore it will be replaced by \textit{state estimation} in the following.

\label{sec:problem}
\begin{figure}[h!]
\centering
\includegraphics[scale=0.7,trim={5cm 5cm 5cm 6cm},clip]{simpleMC.pdf}
\caption{{\small Hidden Markov Model (HMM) for a single agent retrieving direct observable measurements}.}
\label{fig:HHM_figure}
\end{figure} 

\subsection{A model of the positioning problem: the \ac{HMM}}
\label{sub:hmm_model}

As depicted in Figure \ref{fig:HHM_figure}, the problem can be modelled as a discrete-time \ac{HMM} where the \textit{state space}, $\bm{\theta}_k$, of the target dynamic system can be known only through a set of \textit{observable measurements}, $\ve{z}_{k}$\cite{gordon2004beyond}. In the following, the state space vector is defined as
\begin{equation}
\label{eq:stateEKF}
\bm{\theta}_k = \begin{bmatrix}
x_k & y_k  &  z_k  & b_k &  \dot{x}_k &  \dot{y}_k  &  \dot{z}_k & \dot{b}_k
\end{bmatrix}
\end{equation}



while the set of $s$ \textit{observable measurements} 
\begin{equation}
\label{eq:observables}
\ve{z}_{k} = \begin{bmatrix}
z_k^1 & z_k^2  &  \dots  & z_k^s \end{bmatrix}.
\end{equation}

Equation \eqref{eq:stateEKF} describes the relevant information about the agent position, $\ve{x}_k = \begin{bmatrix} x_k & y_k  &  z_k \end{bmatrix}$, and its velocity $\dot{\ve{x}}_k = \begin{bmatrix}  \dot{x}_k & \dot{y}_k  & \dot{z}_k \end{bmatrix}$,  defined in a conventional reference frame. The terms ${b_k}$ and $\dot{b}_k$ are respectively the bias and the drift of the local clock obtained w.r.t. the \ac{GNSS} time scale. It is worth mentioning that \eqref{eq:stateEKF} can be extended with higher order terms such as axial accelerations and axial jerk or with attitude data such as yaw, pitch and roll \cite{falco2012performance} but all these additional information cannot be directly retrieved by satellite observables only.

The Bayesian navigation filters are devoted to the joint estimation of the state vector $\bm{\theta}_k$ and the associated error covariance matrix

\begin{equation}
\mathbf{P}_{k}=\text{E} \left[ \left( \bm{\theta}_k- \text{E} \left(\bm{\theta}_k\right) \right) \left( \bm{\theta}_k- \text{E} \left(\bm{\theta}_k\right) \right)^T \right]
\end{equation}

which describes the uncertainty on the estimated solution\cite{kay1993fundamentals}. In order to determine $\mathbf{P}_{k}$, the error covariance matrix of $\ve{z}_{k}$ has to be measured or estimated according to 

\begin{equation}
\ve{R}_{k}=\text{E} \left[ \left( \ve{z}_k- \text{E} \left(\ve{z}_k\right) \right) \left( \ve{z}_k- \text{E} \left(\ve{z}_k\right) \right)^T \right]
\end{equation}

as detailed later.

The state transitions, represented by the horizontal arrows in Figure \ref{fig:HHM_figure}, are associated to a \textit{transition probability}, $p \left( \bm{\theta}_{k} | \bm{\theta}_{k-1} \right)$ which is defined accordingly to a discrete-time stochastic \textit{state transition function}

\begin{equation}
\label{eq:stateTransition}
\bm{\theta}_{k}=f_{k-1} \left( \bm{\theta}_{k-1},\ve{v}_{k-1} \right)
\end{equation}

where $f_{k-1}$ is a possibly non-linear function of the vector state, and $\ve{v}_{k}$ is a multivariate random variable describing the noise affecting the states. A sequence of noisy measurements is performed by the receiver at each discrete time instant $t_k$ and each measurement links the current state vector to a specific reference point (e.g. \ac{GNSS} satellites, terrestrial anchors, etc.). The relationship between state and measurements is hence described by the prior probability $p \left( \ve{z}_{k} | \bm{\theta}_k \right)$, according to

\begin{equation}
\label{eq:measurementEquation}
\ve{z}_{k}=h_k \left( \bm{\theta}_{k},\ve{w}_{k} \right)
\end{equation}

where $h_k$ is a possibly non-linear function linking the observation vector to $\bm{\theta}_k$ and $\ve{w}_{k}$ is a multivariate random variable describing the measurements noise. 

The state estimation is based on the Bayesian rule of conditioned probability given by 

\begin{equation}
\label{eq:bayes}
p(\bm{\theta}_0, \cdots, \bm{\theta}_k|\bm{z}_0, \cdots, \bm{z}_k)=\frac{p(\bm{z}_0, \cdots, \bm{z}_k|\bm{\theta}_0, \cdots, \bm{\theta}_k)p(\bm{\theta}_0, \cdots, \bm{\theta}_k)}{p(\bm{z}_0,\cdots, \bm{z}_k)}
\end{equation}

where 

\begin{align}
\label{eq:meas}
p(\bm{z}_0, \cdots, \bm{z}_k) & =\int p(\bm{z}_0, \cdots, \bm{z}_k|\bm{\theta}_0, \cdots, \bm{\theta}_k)p(\bm{\theta}_0, \cdots, \bm{\theta}_k) \delta \bm{\theta}_0\cdots \delta \bm{\theta}_k \\
p(\bm{z}_0, \cdots, \bm{z}_k|\bm{\theta}_0, \cdots, \bm{\theta}_k) & = \prod_{l=0}^{k}p(\bm{z}_l|\bm{\theta}_l) \\
p(\bm{\theta}_0, \cdots, \bm{\theta}_k) & = p_0(\bm{\theta}_0)\prod_{l=0}^{k}p(\bm{\theta}_l|\bm{\theta}_{l-1})
\end{align}

The relationships mentioned in the previous equations hold if the observables are independent at each time instant and if the state vector only depends on the values it assumed at the previous epoch. The hybridization with additional independent sources of information simply extends $\mathbf{z}_k$ but it does not modify the Bayesian estimation problem. On the opposite, when correlated information such as GNSS-based inter-agent distances are integrated a modification of the \ac{HMM} has to be considered to model the new set of cross-correlated observables. 

\subsection{Combined Observable Measurements and Implicit Belief Propagation}

In a simple pairwise hybridization, the \textit{auxiliary observable measurements} are assumed to be generated by combining the independent observables of two agents in a \textit{hybrid measurement vector}, as shown in Figure \ref{fig:HHM_figure2}. The output data can be used as a joint information about the estimation of the two states $\bm{\theta}_{i,k}$ and $\bm{\theta}_{j,k}$ in a centralized fashion, or they can be exploited by one of the two agents as a complementary source of information provided that the shared observables are reliable \cite{rohani2015novel}.

\begin{figure}[h!]
\centering
\includegraphics[scale=0.6,trim={4.0cm 3.0cm 4.0cm 3.0cm},clip]{netReceiverMC.pdf}
\caption{{\small Modified HMM for dual agent state-space estimation with combined, correlated measurement generation. MM referred to the functional scheme of networked \ac{GNSS} receiver.}}
\label{fig:HHM_figure2}
\end{figure} 
In the collaborative techniques relying on belief propagation, the set of observables is extended by sharing the statistics of the estimated positions (i.e. estimate and estimated covariance), which are considered independent among the agents \cite{8374808,caceres2010hybrid,caceres2010hybrid2,6081348}. Relying on the differential techniques described in Chapter \ref{ch:rangingAlgorithms} instead, the belief is implicitly shared through the transmission of a sufficient number of observables, according to the size of the state vector.

When cooperative observables can be computed, the \eqref{eq:measVec} can be extended to incorporate also \emph{inter-agent distances}, such that

\begin{equation}
\label{eq:measVec}
\ve{\bar{z}_k} = 
\begin{bmatrix}
\ve{z}_k^{\top} & \ve{d}_k^{\top}
\end{bmatrix}^T
\end{equation}

where $\ve{d}_k = (  d_{1,k}\ \  d_{2,k}\ \ \ldots\ \  d_{C,k})^T$, is a $(C \times 1)$ vector of combined observables obtained by $C$ independent collaborating agents. For the computation of the collaborative contributions it holds

\begin{equation}
\label{eq:generalIvd}
\ve{d}_k=g \left( \ve{z}_{i,k}, \ve{z}_{j,k} \right)
\end{equation}

where $g(\cdot)$ can identify a collaborative technique such as the ones mentioned in Chapter \ref{ch:rangingAlgorithms}. Equation \eqref{eq:bayes} must be updated by including collaborative correlated measurements such that the probability distribution of the overall measurements vector, $\ve{\bar{z}}_k$, also depends on the measurements $\ve{z}_{j,k}$ of the aiding agent, formally 

\begin{equation}
\label{eq:bayesExtended}
p(\bar{\ve{z}}_k | \bm{\theta}_i,\bm{\theta}_j)
\end{equation}

The \textit{hybrid measurement vector} does not contain only independent measurements such that the error covariance matrix of $\ve{z}_k$ is no longer diagonal, by definition. Differently from the hybridization with independent measurements, the amount of information is somehow reduced by this correlation because

\begin{equation}
\label{eq:dependency}
p(\ve{d}_k|\ve{z}_k) \neq p(\ve{d}_k)p(\ve{z}_k)
\end{equation}

Despite of such a reduction, the redundancy of the observables is expected to reinforce the estimation of the aided agent. The last section of this chapter suggests a theoretical tool to investigate this reinforcement in terms of \ac{CRLB} analysis.  


%\textbf{LA SITUAZIONE SI COMPLICA E VANNO RISCRITTE LE EQUAZIONI BAYESIANE 2.4 IN POI CON LA RELATIVA DIPENDEZA DALLA BELIEF DELL'ALTRO RICEVITORE E DALLE SUE MISURE}

\subsection{Hybrid Measurements Modelling in \ac{GNSS}}

In standalone \ac{GNSS} positioning, $\ve{{z}}_k$ consists of a \textit{measurement vector} composed by $(S\times 1)$ satellite-to-receiver pseudorange measurements vector, $\bm{\rho}_k$, and $(S\times 1)$ pseudorange change rates or Doppler shift measurements vector, $\bm{\phi}_k$ \cite{kaplan2017understanding}, measured by the received \ac{GNSS} signals. When multiple collaborating agents are available, a set of of inter-agent distances can be integrated in the measurement vector as additional although correlated information


\begin{equation}
\label{eq:measVecGNSS}
\ve{\bar{z}}_k = 
\begin{bmatrix}
\bm{\rho}_k^{\top} & \bm{\phi}_k^{\top} & \ve{d}_k^{\top}
\end{bmatrix}^T.
\end{equation}

Equation \eqref{eq:measVecGNSS} represents the measurements vector that can be used for the state estimation through the single agent \ac{HMM} depicted in Figure \ref{fig:HHM_figure3}.

\begin{figure}[h!]
\centering
\includegraphics[scale=0.7,trim={4.0cm 3.0cm 4.0cm 3.0cm},clip]{localMC.pdf}
\caption{{\small HMM in \ac{GNSS} aided system state estimation.}}
\label{fig:HHM_figure3}
\end{figure}



% R covariance matrix

When measurements can be modelled as unbiased pseudorange, the associated covariance matrix $\mathbf{R}_k$ is usually a $(S \times S)$ diagonal matrix, with pseudorange variances $\sigma_{s}^2$ on the main diagonal, since no correlation is assumed between these quantities \cite{brown}.
In this cooperative framework however, also collaborative ranges are involved in the measurement process and therefore the hybrid covariance matrix $\bar{\ve{R}}_k$ should include the elements associated to these quantities.
In particular, each collaboratively-derived range may be dependent on several pseudoranges among those included in $\bar{\ve{z}}_k$ such that cross-correlation terms may have to be taken into account for the filter design. 

To properly model these characteristics, the error covariance matrix designed for the proposed algorithms is then defined by means of four sub-matrices (and the respective transposed versions):

%\begin{itemize}
%\item $\ve{R}_{\rho}$
%\item $\ve{R}_{\phi}$
%\item $\ve{R}_{d}$
%\item $\ve{R}_{\rho\phi}$
%\item $\ve{R}_{\rho d}$
%\item $\ve{R}_{\phi d}$
%\end{itemize}

\begin{equation}
\label{eq:measCovMatrix}
\bar{{\ve{R}}}_k = \begin{bmatrix}
\ve{R}_{\rho,k} & \mathbf{R}_{\rho\phi,k} & \ve{R}_{\rho d,k} \\
& & \\
\ve{R}_{\rho\phi,k}^{\top} & \mathbf{R}_{\phi,k} & \ve{R}_{\phi d,k} \\
& & \\
\ve{R}_{\rho d,k}^{\top} & \mathbf{R}_{\phi d,k}^{\top} & \ve{R}_{d,k}\\
\end{bmatrix}
\end{equation}


where $\ve{R}_{\rho,k}$ and $\ve{R}_{d,k}$ are the covariance matrices related respectively to the pseudorange set and the cooperative measurement set as in \ref{eq:measVec}, while $\ve{R}_{\rho d,k}$ is a matrix containing the cross-correlation terms between each element of ${\bm{\rho}}_k$ and each element of $\ve{d}_k$.

As mentioned, $\ve{R}_{\rho,k}$ is a diagonal matrix, but the same cannot be said for $\ve{R}_d$.
In fact in \eqref{eq:measCovMatrix}, the dependency of cooperative ranges on pseudoranges is responsible of non-zero cross-correlation terms in both matrices $\ve{R}_{d,k}$ and $\ve{R}_{\rho d,k}$. The correlation between a cooperative range and the set of pseudoranges from which is derived is defined by the elements of $\ve{R}_{\rho d,k}$, while the off-diagonal elements of $\ve{R}_{d,k}$ describe the cross-correlation between two different cooperative measurements. This value is generally non-null for cooperative ranges which shares one or more pseudoranges employed in their respective computation.


Basically in order to fill $\bar{\ve{R}}_k$, the variances of the elements in $\bm{\rho}_k$ and $\bm{d}_k$ are needed as well as the cross-correlation values among their entries.
They may all be based on pseudorange variance $\sigma_s^2$, but a closed expression is dependent on the specific derivation process of the cooperative ranges \cite{tahir2018accuracy}.
However a bound can be set on the entries of $\ve{R}_{\rho d,k}$, thanks to the Cauchy-Schwarz inequality.

%If we are able to identify bounds we can derive a matrix of weight through simulation and an optimization criterion.


The $\ve{R}_{\rho d,k}$ sub-matrix contains the cross-correlation terms which link pseudorange measurements and collaborative ranging contributions. For these terms, the covariance propagation of the \ac{LMS} estimation \eqref{eq:ddcov} can be exploited to assign to the proper covariance terms. The transposed matrix $\ve{R}_{\rho d}^\top$ can be then defined accordingly. Assigning the maximum correlation between $\ve{d}_k$ and $\bm{\rho}_{k}$ is a worst-case assumption. 
%It should be underlined, however, that to exploit (\ref{eq:measCovMatrix}) as a model for the integrated measurements, the latter should be normally distributed in order to satisfy the Gaussian assumption of the EKF \cite{brown}. This will prevent the \ac{EKF} to be sub-optimal when dealing with collaborative ranging measurements.

  
\section{Hybrid \ac{WLS}}

By referring to the extended \ac{HMM} model and to the basic positioning solution as in Section \ref{sub:solutionBasics}, the \ac{WLS} can be easily modified to tightly integrate the collaborative measurements. It is worth recalling that besides being a simple algorithm, a generic \ac{LMS} is preparatory for the effective initialization of any Bayesian filters such as \ac{KF} and \ac{PF}. This Section describes how the hybrid terms are built in the positioning algorithm and how ill-conditioned set of equations can be managed for reliable solutions \cite{haykin2003least}.


Let us consider the state vector $\bm{\theta}_k$, and the hybrid set of observables $\bar{\mathbf{z}}_k$ along with its error covariance matrix $\bar{\mathbf{R}}_{k}$. The linear problem can be expressed as

\begin{equation}
\label{eq:LMS_ioise}
\bar{\mathbf{z}}_k=\bar{\mathbf{H}}\bm{\theta}_k + \mathbf{v}_k
\end{equation}

where $\mathbf{v}_k$ is a noise vector whose components are assumed to be normally-distributed while $\bar{\mathbf{H}}$ is the \ac{DCM} and describes the linearized relationship among all the measurements collected in $\bar{\mathbf{z}}_k$ and the state vector $\bm{\theta}_k$, at the discrete time $t_k$. Naming $\mathbf{H}_{\rho,k}$ the observation matrix related to the
\ac{GNSS} pseudorange measurements as in \eqref{eq:positioningSolMatrix}, the resulting hybrid \ac{DCM}, $\bar{\mathbf{H}}_{\rho,k}$, is a matrix defined as
\label{eq:DCM}
\begin{equation}
\bar{\ve{H}}_k = \begin{bmatrix}
    \ve{H}_{\rho,k} & \mathbf{0}_{S\times4} \\
    \mathbf{0}_{S\times4} & \ve{H}_{\rho,k} \\    
    \ve{H}_{d,k} & \mathbf{0}_{C\times4}
\end{bmatrix}
\end{equation} 

where the $s$-th row of the submatrix $\ve{H}_{\rho,k}$ can be expressed as
\begin{equation}
\left[\ve{H}_{\rho,k}\right]_s=\left[ \begin{array}{cccccccc} \frac{\left(\mathbf{x}_s-\mathbf{x}_i\right)}{||\mathbf{x}_s-\mathbf{x}_i||} & 1 \end{array}\right]=\left[ \begin{array}{cccccccc} \mathbf{h}_{is} & 1 \end{array}\right]
\end{equation} 
where $\mathbf{x}_s$ and $\mathbf{x}_i$ are the satellite and user coordinates, respectively. $\mathbf{h}_{i,s}$ is the \textit{unitary steering vector} pointing towards the $s$-th satellite and the unitary term is referred to the bias clock term common to all the measurements. Similarly, the set of equivalent steering vectors points at the collaborating agents so that the $c$-th row of $\ve{H}_{d,k}$ is defined as

\begin{equation}
\left[\ve{H}_{d,k}\right]_c=\left[ \begin{array}{cccccccc} \frac{\left(\hat{\mathbf{x}}_c-\mathbf{x}_i\right)}{||\hat{\mathbf{x}}_c-\mathbf{x}_i||} & 0 \end{array}\right]=\left[ \begin{array}{cccccccc} \mathbf{h}_{ic} & 0 \end{array}\right].
\end{equation}

While the GNSS satellite position is known with a high accuracy from the ephemeris data, the \textit{measurement equations} of the hybridized system \eqref{eq:measurementEquation} have to be referred to a rough estimate, $\hat{\mathbf{x}}_c$, of the aiding agent position. This estimation can be performed autonomously by the aided receiver $i$ through the received measurement data from receiver $j$.
 
With the need of approaching a general case in which the measurements in $\bar{\mathbf{z}}_k$ are not independent neither identically distributed, the covariance matrix $\ve{R}_{k}$ must be considered. The strong assumption is still a zero-mean Gaussian distribution which can limit the performance \cite{stark1986probability}. If this condition is satisfied, the associated \ac{ML} estimate is expressed as

\begin{align}
\label{eq:WLMS_likelihood}
\mathbb{\theta}_k & = \argmax_{\bm{\theta}}\frac{1}{(2\pi)^{N/2} |\bar{\ve{R}}_{k}|^{1/2}}e^{\frac{1}{2}(\bar{\mathbf{z}}_k-\bar{\ve{H}}_k \bm{\theta}_k)^\top \bar{\ve{R}}^{-1}_{k}(\bar{\mathbf{z}}_k-\bar{\ve{H}}_k \bm{\theta}_k)} \\
& = \argmin_{\bm{\theta}}(\bar{\mathbf{z}}_k-\bar{\ve{H}}_k \bm{\theta}_k)^\top \bar{\ve{R}}^{-1}_{k}(\bar{\mathbf{z}}_k-\bar{\ve{H}}_k \bm{\theta}_k)
\end{align}

The solution is obtained by differencing \eqref{eq:WLMS_likelihood} w.r.t. $\bm{\theta}_k$, and equalizing the result to zero, as

\begin{equation}
\label{eq:WLMS}
\bm{\theta_k} = \left(\bar{\ve{H}}^{\top}_k \ve{R}^{-1}_{k} \bar{\ve{H}}_k \right)^{-1} \bar{\ve{H}}^{\top}_k \bar{\ve{R}}^{-1}_{k} \bar{\mathbf{z}}_k
\end{equation}

The error covariance matrix, $\mathbf{P}_k$, can be easily computed through 

\begin{equation}
\label{eq:wlsCov}
\mathbf{P}_{k}=\left( \bar{\ve{H}}^{\top} \bar{\ve{H}} \right)^{-1} \bar{\ve{H}}^{\top} \bar{\ve{R}}_{k} \bar{\ve{H}} \left( \bar{\ve{H}}^{\top} \bar{\ve{H}} \right)^{-1}
\end{equation}

As mentioned in Chapter \ref{ch:GNSSfundamentals}, iterative solutions such as the recursive \ac{WLS} can be used to improve the convergence of the solution. 

  
\subsection{Weighted \ac{SAIA} for robust measurement integration in \ac{WLS}}
\label{sub:SAIA}

If multiple collaborative contributions are obtained from a number of aiding agents, the \ac{H-WLMS} \ac{PVT} algorithm can lead to a typical ill-conditioned problem and it shows high instability of the convergence of the solution \cite{minetto2017IAR}. An iterative algorithm can be implemented to enhance the convergence of each \ac{WLS} iteration by avoiding the inversion of the ill-conditioned $(\bar{\ve{H}}_k \bar{\ve{R}}^{-1}_{k} \bar{\ve{H}}_k^\top)$ product. 
This optimization is performed by means of a weighted variation of the \ac{SAIA} algorithm proposed in \cite{Deng2015453}. For sake of completeness, the core steps of \ac{SAIA} method are recalled hereafter with a more familiar notation and extending the original formalism by considering the covariance of the measurements, $\bar{\mathbf{R}}_k$. 

Let consider to freeze the time instant $t_k$ and the \ac{WLS} $n$-th iteration. As a general assumption, all the measurements expressed in their differential notation $\Delta \bar{\mathbf{z}}_k^n$ (i.e. pseudoranges, \ac{IAR}s) are affected by Gaussian-distributed errors as reasonably stated in the previous section. The \ac{W-SAIA} algorithm can be feed by the state estimate $\Delta\bm{\theta}_{k}^{n-1}$ obtained at the previous \ac{WLS} iteration and two variables can be introduced at the $j$-th iteration to split \eqref{eq:WLMS} as

\begin{equation}
\left\{\def\arraystretch{1.2}%
\begin{array}{@{}c@{\quad}l@{}}
\mathbf{N}_j=\left(\bar{\ve{H}}_k^n\right)^{\top} \bar{\mathbf{R}}_k^{-1}\bar{\ve{H}}_k^n+\Lambda_j \mathbf{I}
\\\mathbf{W}_j=\left(\bar{\ve{H}}_k^n\right)^\top \bar{\mathbf{R}}_k^{-1} \Delta \bar{\mathbf{z}}_k  +\Lambda_j \Delta\bm{\theta}_{k,j-1}^n     \end{array}\right.
\end{equation}

where the perturbation parameter, $\Lambda$, is computed before the iterative process and it is then iteratively adjusted to accelerate the convergence of the solution. $\Lambda$ must satisfy the condition $0 \leq \Lambda \leq 1$, and it is computed through the following steps

%\begin{equation}
%\label{eq:lambdaSAIA}
%\Lambda=\min(|\lambda(\bar{\ve{H}}_k^{\top} \mathbf{R}_k^{-1} \bar{\ve{H}}_k)|) \cdot 10^{0.5| log_{10} (\lambda)|+1}
%\end{equation}

\begin{equation}
  \left\{\def\arraystretch{1.2}%
  \begin{array}{@{}c@{\quad}l@{}}
    \lambda_j=min\left\lbrace \lvert \text{eig}\left[\left(\bar{\ve{H}}_k^n\right)^\top  \mathbf{R}_k^{-1} \bar{\ve{H}}_k^n \right] \rvert \right\rbrace
     \\\Lambda_j=\lambda_j 10^{0.5| log_{10} (\lambda_j)|+1}      \end{array}\right.
\end{equation}

%min(|eig(\mathbf{H}_i^T \mathbf{H}_i)|)
%$\lambda^\uparrow_1$

where $\lambda_j$ indicates the eigenvalues of the argument and $\mathbf{U}_j$ is calculated given the upper triangular matrix $\mathbf{C}_j$ obtained from the Cholesky decomposition of $\mathbf{N}_j$

\begin{equation}
\mathbf{C}_j\mathbf{U}_j=\mathbf{W}_j
\end{equation}

 and then $\bm{\theta}_{k,j}^n$ is calculated solving the problem

\begin{equation}
\mathbf{C}_j^\top \Delta\bm{\theta}_{k,j}^n=\mathbf{U}_j
\end{equation}

The algorithm iterates on $j$ trials determining at each iteration the residual error as

\begin{equation}
\xi_{j} = ||\mathbf{N}_j \Delta\bm{\theta}_j^{\top}-\mathbf{W}_j ||
\end{equation}

the self-adaptation is performed according to the relative error, $\nu = \frac{\xi_{j}}{\xi_{j-1}}$ w.r.t. the previous iteration. By comparing $\nu$ w.r.t. two predefined thresholds, the value of $\Lambda$ can be adjusted to increase the convergence. As an example if $\nu$ at the $j$-th iteration is smaller than $0.25$ the perturbation parameter can be doubled, otherwise if $\nu>0.75$, $\Lambda_j$ can be divided by two before the next iteration. 

It is worth mentioning that the recursion introduced by the \ac{W-SAIA} within each iteration of a \ac{WLS} \ac{PVT} routine increases the computational complexity of the positioning problem by a multiplicative factor which corresponds to the number of inner iterations. 
%It has to be remarked that the solution $\bm{\theta}$ is a differential vector with respect to the preceding approximation point and hence for each receiver $\hat{\mathbf{x}}=\mathbf{x}_0-\mathbf{x}$.\\


  
  \section{Approximated Bayesian Estimation}
 
Real scenarios can show critical aspects such as nonlinear, non-Gaussian and non-stationary target states and measurement. Therefore, optimal filtering is infeasible in such a kind of situations, and approximated or suboptimal solutions have to be considered for a reliable state estimation. In the following, two examples of approximated Bayesian filters are presented. The \ac{EKF} which exploits an analytic approximation and the \ac{PF} which approximates the unknown distributions through a set of particles according to a sampling process.

\subsection{Hybrid Extended Kalman Filter}

The popular \ac{KF} is an optimal Bayesian recursive filter (in \ac{MMSE} sense) which is capable to estimate the state, $\bm{\theta}_k$, of a linear dynamic system relying on a set of noisy measurements according to the following assumptions:

\begin{itemize}
\item $\mathbf{v}_{k-1}$ in \eqref{eq:stateTransition} is the realization at time $t_{k-1}$ of a multivariate Gaussian random variable of known mean and covariance

\item $f_{k-1}$ in \eqref{eq:stateTransition} is a known linear function of $\bm{\theta}_{k-1}$ and $\mathbf{v}_{k-1}$

\item $h_k$ is \eqref{eq:measurementEquation} is a known linear function of $\bm{\theta}_k$ and $\mathbf{w}_k$.

\end{itemize}

In \ac{GNSS}, these conditions are typically too strict to be satisfied. Especially in urban environment where multipath reflections are frequent and ubiquitous, the noise distribution of the pseudorange measurements is likely to be modelled as Rayleigh or Rice distributed according to presence of an actual \ac{LoS} component. The relationship between subsequent states can be highly non-linear in case of complex dynamics such as curvilinear accelerated manoeuvres. The relationship between measurements and states related to multi-lateration is then  
non-linear by definition. 

From these considerations, it is natural to use a more robust filter such as the \ac{EKF} or \ac{UKF}.

\subsubsection{Models equations}

The theory of the \ac{EKF} is based on \added[id=1]{a} linearized \textit{system model equation} \eqref{eq:stateTransition} and \textit{measurement model equation}.
The system model considered in this framework is described as a linear equation which is widely applied to estimation problems in vehicular navigation \cite{grewal2007global}. Hence it describes the relation between past and current state through 

\begin{equation}
\label{eq:sys_model}
	\bar{\bm{\theta}}_k = \mathbf{\Phi} \bar{\bm{\theta}}_{k-1} + \mathbf{v}_k \ .
\end{equation}

where

\begin{equation}
\label{eq:sys_model_compact}
\ve{\Phi} = \begin{bmatrix}
    \ve{I}_{3\times3} & T_s\cdot  \ve{I}_{3\times3}  & \ve{0}_{3\times2}\\
    \ve{0}_{3\times3} & \ve{I}_{3\times3}            & \ve{0}_{3\times2}\\ 
    \ve{0}_{2\times3} & \ve{0}_{2\times3}   &\begin{matrix} 1 & T_s \\ 0 & 1 \end{matrix}
\end{bmatrix}
\end{equation}

is a time-invariant \textit{transition matrix} depending on the time step $T_s$; and $\bm{\eta}$ is the \textit{system noise} such that

\begin{equation}
\label{eq:systemnoise}
	\ve{\eta}_k \sim \mathcal{N}(\mathbf{0},\ve{Q_k})
\end{equation}
with $\ve{Q}_k$ covariance matrix.

The system model is driven by the dynamics of the system and is independent of the observed measurements. It is in fact defined regardless of the nature of the observations, whether they are stand-alone \ac{GNSS} or collaboratively-derived measurements.

The measurement model equation provides a relation between the state ${\bar{\bm{\theta}}}_k$ and a \textit{measurements vector} $\ve{z}_k$. For what concerns \ac{GNSS} this relation is non-linear, thus the equation is in the form 

\begin{equation}
\label{eq:meas_model}
	\ve{z}_k = h({\bar{\bm{\theta}}}_k) + \ve{w}_k\
\end{equation}
where $h$ is a known non-linear function.
In \eqref{eq:systemnoise}, $\ve{v}_k$ represents the measurement noise and it is modeled such that
\begin{equation}
	\ve{v}_k \sim \mathcal{N}(\ve{0},\bar{\ve{R}})
\end{equation}
with $\bar{\ve{R}}$ covariance matrix.

Since the relationship between state variables and measurements cannot be described by a linear equation \cite{kaplan2017understanding}, the \ac{EKF} exploits linearization to deal with the multi-lateration problem. The \textit{linearized measurement equation} is then
\begin{equation}
\label{eq:linearized_meas}
	\Delta \ve{z}_k = \bar{\ve{H}}_k \Delta {\bar{\bm{\theta}}}_k + \ve{v}_k
\end{equation}
where $\Delta\ve{z}_k$ and $\Delta\ve{\bar{\bm{\theta}}}_k$ are the incremental vectors of respectively, the measurements vector $\ve{z}_k$ and the state vector $\ve{\bar{\bm{\theta}}}_k$, w.r.t. a linearization point $\ve{\bar{\bm{\theta}}}_k^* = [ {\bm{\theta}}_k^*\, b_k^*\, \dot{\bm{\theta}}_k^*\, \dot{b}_k^* ] $, updated at every time step $k$ \cite{brown}.
The \textit{observation matrix} $\bar{\ve{H}}$ contains the coefficients linking the two linearized vectors, which arise after the linearization of the equations relating measurements and state variables \cite{kaplan2017understanding}.

Equation \eqref{eq:linearized_meas} relates to the observations to the state vector. 
In standalone \ac{GNSS} positioning, $\Delta\ve{\hat{z}}_k$ consists of the observables retrieved from the radio navigation signal (i.e. $\Delta\bm{\rho}_k$), the incremental vector of the pseudorange measurements vector and $\Delta\bm{\phi}_k = \{ \Delta \phi_i^s(t_k) \}_{s \in \mathcal{S}}$ and the incremental measurement vector derived from Doppler measurements.

When collaborative ranges are integrated in the measurement set, the \added[id=1]{linearized} measurement vector is extended to incorporate also \added[id=1]{incremental} \emph{inter-agent distances}, such that
\begin{equation}
\label{eq:vectorExtended}
\Delta\ve{\hat{z}}_k = 
\begin{bmatrix}
 \Delta \bm{\rho}_k & \Delta \bm{\phi}_k & \Delta \ve{d}_k
\end{bmatrix}^\top
\end{equation}

where all the variables are vectors of incremental quantities, one for each integrated collaborative range, built similarly to $\ve{\Delta \rho}$.
The observation matrix is extended as well once the coefficients related to cooperative measurements are defined, accordingly to the inter-agent distance. Naming $\ve{H}_{\rho}$ the observation matrix related to the standard GNSS measurements $\ve{\Delta \rho}$ the resulting \textit{hybrid observation matrix} can be built according to the hybridized \ac{DCM} as in \eqref{eq:DCM}.

%\begin{equation}
%\label{eq:h_mat_compact}
%\bar{\ve{H}} = \begin{bmatrix}
%    \ve{H}_{\rho} & 0_{N\times4} \\
%    \mathbf{0}_{N\times4} & \ve{H}_{\rho} \\    
%    \ve{H}_{d} & \mathbf{0}_{R\times4}
%\end{bmatrix}
%\end{equation}
%
%where the submatrix $\ve{H}_{\rho}$ is the same as in \eqref{eq:jacob} while the $j$-th row of $\ve{H}_{d}$, referred to the $j$-th aiding agent can be expressed as
%
%\begin{equation}
%\left[\ve{H}_{d} \right]_i=\left[ \begin{array}{cccccccc} {\left(\mathbf{x}_i-\mathbf{x}^* \right)}/{||\mathbf{x}_i-\mathbf{x}_i^*||} & 1 \end{array}\right]=\left[ \begin{array}{cccccccc} \mathbf{h}_{ji} & 1 \end{array}\right].
%\end{equation} 

% APPENDICE DELLE MATRICI
%\subsubsection{Definition of Covariance Matrices}
%\label{sec:EKF_covariances}
% Q and R generation
%A few words should be additionally spent about the generation of noise covariance matrices $\ve{Q}_k$ and $\bar{\ve{R}}_k$. A suitable system noise covariance matrix can be generated through models provided in literature \cite{brown}, which are based on time step $T_s$ and spectral densities of the white noise driving functions of system model (\ref{eq:sys_model}). The configuration is briefly reported:
%
%\begin{align*}
%\ve{Q}_k =  
%\begin{pmatrix}
%\frac{S_p T_s^3}{3} & 0 & 0 & \frac{S_p T_s^2}{2} & 0 & 0 & 0 & 0\\
%0 & \frac{S_p T_s^3}{3} & 0 & 0 & \frac{S_p T_s^2}{2} & 0 & 0 & 0\\
%0 & 0 & \frac{S_p T_s^3}{3} & 0 & 0 & \frac{S_p T_s^2}{2} & 0 & 0\\
%\frac{S_p T_s^2}{2} & 0 & 0 & S_p T_s & 0 & 0 & 0 & 0\\
%0 & \frac{S_p T_s^2}{2} & 0 & 0 & S_p T_s & 0 & 0 & 0\\
%0 & 0 & \frac{S_p T_s^2}{2} & 0 & 0 & S_p T_s & 0 & 0\\
%0 & 0 & 0 & 0 & 0 & 0 & S_f T_s + \frac{S_g T_s^3}{3} & \frac{S_g T_s^2}{2}\\
%0 & 0 & 0 & 0 & 0 & 0 & \frac{S_g T_s^2}{2} & S_g T_s\\
%\end{pmatrix}\ .
%\end{align*}
%
%
%The parameters $S_p$, $S_f$ and $S_g$ are the spectral densities related to the system noise $\ve{\eta}$. They are associated, respectively, with the the position variables ($x$,$y$,$z$), the user clock bias error $b_{i}$, and the user clock drift $\dot{b_{i}}$\footnote{Actually the spectral densities parameters may be considered static throughout an observation time, even if the system noise is a time-dependent process. As a consequence $\ve{Q}_k = \ve{Q}$.}.


  

\subsubsection{EKF routine}
Following the definition of system and observations models and the related covariances, the \ac{EKF} routine applied to collaborative ranging measurements is hereafter reported for the sake of completeness.
The \ac{EKF} routine starts with a prediction step that involves the projection of the last state estimation $\hat{\bm{\theta}}_{k-1}$ on the current instant $k$ by means of the transition matrix:
\begin{equation}
	\hat{\bm{\theta}}_{k}^- = \ve{\Phi} \hat{\bm{\theta}}_{k-1}\ .
\end{equation}
At each step of the \ac{EKF} routine, the predicted state estimation $\hat{\bm{\theta}}_{k}^-$ is chosen as linearization point $\bm{\theta}_k^*$, around which incremental quantities are build. The use of the estimated trajectory $\hat{\bm{\theta}}_{k}^-$ is a reasonable choice, since it is presumably the best estimate available at time $k$ before the measurement update. However, a poor choice for $\bm{\theta}_k^*$ could cause the \ac{EKF} estimate to diverge if the first-order approximation on which the linearization is based is not enough. Due to the feedback of measurements into the estimate equations, instability phenomena may arise in the \ac{EKF}. Several works have investigated the conditions for \ac{EKF} stability, but such requirements are often too restrictive for realistic applications \cite{754809}.

Then, the incremental measurements $\Delta \ve{z}_k$ and the hybrid matrix $\Hybrid{k}$ are computed w.r.t. this reference point.
The prediction is performed also on the \emph{error covariance matrix} $\ve{P}_{k-1}$:
\begin{equation}
\label{eq:cov_pred}
	\ve{P}_k^- = \ve{\Phi} \ve{P}_{k-1} \ve{\Phi}^\top  + \ve{Q}\ .
\end{equation}

Following the prediction phase, the \emph{Kalman gain} is computed as
\begin{equation}
\label{eq:Kgain}
	\ve{K}_k = \ve{P}_k^- \Hybrid{k}^\top (\Hybrid{k} \ve{P}_k^- \Hybrid{k}^\top + \bar{\ve{R}})^{-1}.
\end{equation}
Notice that the gain is dependent on the measurement matrix $\Hybrid{k}$, which, as stated, is updated according to the approximation point at each time $k$. Therefore, since $\ve{x}_k^* = \hat{\bm{\theta}}_{k}^-$, the gain sequence will depend on the sequence of measurements of a particular realization of the experiment \cite{brown}.

Now, considering the incremental state estimate
\begin{equation}
	\Delta \hat{\bm{\theta}}_{k} = \Delta \hat{\bm{\theta}}_{k}^- + \ve{K}_k (\Delta\ve{z}_k - \Hybrid{k} \Delta \hat{\bm{\theta}}_{k}^-)
\label{eq:inc_state_est}
\end{equation}
it should be noticed that, since $\ve{x}_k^* = \hat{\bm{\theta}}_{k}^-$, the term $\Delta\bm{\theta}_k^-$ is zero. Thus the \eqref{eq:inc_state_est} becomes
\begin{equation}
	\Delta \hat{\bm{\theta}}_{k} = \ve{K}_k \Delta\ve{z}_k\ .
\end{equation}
Finally the state estimation can be obtained by correcting the approximation state with the incremental estimate update:
\begin{equation}
	\bm{\theta} = \bm{\theta}_k^* + \Delta \hat{\bm{\theta}}_{k}\ .
\end{equation}
The error covariance matrix is updated as well. This equation is implemented in a symmetric form (Joseph form), which is resilient to divergence phenomena \cite{brown}:
\begin{equation}
\label{eq:cov_upd}
	\ve{P}_k = (\ve{I} - \ve{K}_k\Hybrid{k}) \ve{P}_k^- (\ve{I} - \ve{K}_k\Hybrid{k})^\top + \ve{K}_k \bar{\ve{R}}_k \ve{K}_k^\top\ .
\end{equation}

A direct \ac{EKF} is rarely used due to its high computational load and low reliability [25], for this reason the \ac{EKF} approach considered and implemented in the following analysis is known as indirect filtering, also called the \textit{error-state} \ac{EKF}.

\subsubsection{Error-state EKF indirect routine}


\begin{figure}[ht!]
\centering
\includegraphics[width=0.8\linewidth,trim={0.2cm 0.2cm 0.2cm 0.2cm},clip]{indirectKalman.pdf}
\caption{{\small Indirect \ac{KF} scheme.  }}
\label{fig:indEKF}
\end{figure} 



Indirect filtering can be structured as a feed-forward or a feedback \ac{KF}. In feed-forward approach, if the errors which enter as input in the filter remain small, the linear dynamics model is acceptable. While, if they become larger, the errors estimated by the \ac{KF} will drift with time. For this reason in navigation applications which integrate \ac{INS}, a feedback loop is added to mitigate this drawback \cite{sheijani2013implementation}. In this thesis, since there are not additional systems as \ac{INS}, the error is estimated as
the difference between the current measurements exposed by the \ac{GNSS} chipset and the nominal ones, which are evaluated by applying the corrections found at the previous step, as represented in Figure \ref{fig:indEKF}. Furthermore, to avoid the error drift \added[id=1]{, overconfidence or uncontrolled growth of $\mathbf{P}_k$}, a reset is performed periodically, by means of a \ac{WLS} \ac{PVT} evaluation instead of the Kalman routine. \added[id=1]{The same result can be achieved by setting the process covariance matrix $\mathbf{Q}_k$ to infinite.}

In the indirect filtering, the prediction step is fed with a zero state vector 

\begin{equation}
\bm{\theta}_k = \begin{bmatrix}
0 & 0  &  0  & 0 &  0 &  0  &  0 & 0 
\end{bmatrix}
\end{equation}

Then a priori error covariance matrix $\ve{P}_k^-$ and the Kalman gain $\ve{K}_k$ are computed as in \eqref{eq:cov_pred} and in \eqref{eq:Kgain}, respectively. Differently from the direct formulation, $\Delta\ve{z}_k$ is in this case the difference between current measurements and nominal measurements 

\begin{equation}
\Delta\hat{\ve{z}}_k = \begin{bmatrix} \Delta \bm{\rho}_k & \Delta \bm{\phi}_k \end{bmatrix}^T
\end{equation}

where 

\begin{equation}
\Delta\bm{\rho}_k = \Delta\bm{\rho}_k^N - \Delta\bm{\rho}_k^C
\end{equation}

and

\begin{equation}
\Delta\phi_k = \Delta\bm{\phi}_k^N - \Delta\bm{\phi}_k^C.
\end{equation}

Current measurements are the pseudorange measurements vector, $\bm{\rho}_k$, and $\bm{\phi}_k$, the measurement vector including Doppler measurements. Nominal measurements are instead the measured pseudoranges and pseudoranges rates with corrections found at state $\hat{\theta}_{k-1}$. 

The pseudoranges are corrected by the receiver clock bias, the relativistic correction and the satellite clock error estimated through the ephemeris data

\begin{equation}
\bm{\rho}_k^N=\bm{\rho}_k-b_{k-1}+dt_{k-1}^s \cdot c
\end{equation}

while the pseudoranges rates are corrected by the user clock drift

\begin{equation}
\bm{\phi}_k^N= \bm{\phi}_k - \dot{b}_{k-1}
\end{equation}

The approximation state in indirect filtering is the state estimated as

\begin{equation}
\bm{\theta}_k^*= \bm{\theta}_{k-1}
\end{equation}

By performing the estimation as in \eqref{eq:inc_state_est}, the current state $\bm{\theta}_k$ is found.

\subsection{Hybrid Particle Filter}
  
The \ac{PF} is a Monte Carlo approximation of optimal sequential Bayesian state estimation which performs state updates relying on a sampling procedure often referred to as \ac{SIS} \cite{gordon1993novel}. 

 
The use of \ac{PF} in \ac{PNT}, \ac{GNSS} and \ac{CP} has been widely investigated in literature \cite{sun2013particle,978396,5546308,978374,smith2013sequential,529326} and despite its computational complexity, its implementation allows to relax the constraints mentioned for the \ac{EKF}: 

\begin{itemize}
\item $\mathbf{v}_{k-1}$ and $\mathbf{w}_{k-1}$ are drawn from the realization at time $t_{k-1}$ of generic densities of known mean and variance

\item $f_{k-1}(\bm{\theta}_{k-1},\bm{v}_{k-1})$ can be a linear or non-linear function such that $\bm{\theta}_{k}=f_{k-1}(\bm{\theta}_{k-1})+\mathbf{v}_k$

\item $h_k(\bm{\theta}_{k},\bm{w}_{k})$ can be a linear or non-linear function such that $\mathbf{z}_{k}=h_k(\bm{\theta}_{k-1})+\mathbf{w}_k$.

\end{itemize}


\subsubsection{Model Equations}

\ac{PF}s have become attractive due to their capability of dealing with non-linearity and non-gaussian models. For this aspect the model equations used in this case correspond to the equations of the general model introduced in \ref{sub:hmm_model}. Indeed, the state transition function (a.k.a. system model) is the same as \eqref{eq:stateTransition} and the \textit{measurement equation} is the same as in \eqref{eq:measurementEquation}.

The non-Gaussian posterior probability $p(\bm{\theta}_k|\ve{z}_k)$ extended in \eqref{eq:bayes} is represented by a set of randomly drawn samples, named particles, with their associated weights $\left\lbrace \bm{\theta}_k^{(i)},\mathbf{w}_k^{(i)}\right\rbrace_{i=1}^I $. This set of particles provides a discrete approximation of the \eqref{eq:bayes} according to

\begin{equation}
\label{eq:particle}
p(\bm{\theta}_k|\ve{z}_k) \approx \hat{\bm{\theta}}_k \triangleq \sum_{i=1}^I {w}_k^{(i)} \bm{\theta}_k^{(i)}
\end{equation}


%
%
%The \ac{PF} 
  
The PF approximates the a posteriori distribution of \eqref{eq:stateEKF} 

\begin{equation}
\label{eq:aPostProb}
p\left( \bm{\theta}_k|\mathbf{z}_k \right) \approx \sum_{i=1}^N {{w}}_k^{(i)} \delta \left( {\bm{\theta}}_k - \hat{\bm{\theta}}_k^{(i)} \right)
\end{equation}

where $\delta$ is the Dirac delta function and $\hat{\bm{\theta}}_k^{(i)}$ is a propagated particle. The approximation is performed by generating and propagating a set of particles  $\hat{\bm{\theta}}_k^{(i)}$ and associated weights ${{w}}_k^{(i)}$ according to the following steps:

\begin{enumerate}
\item \textit{Initialization}: Generation of a set of $N$ particles $\hat{\bm{\theta}}_k^{(i)}$ according to $\hat{\bm{\theta}}_k \sim p(\hat{\bm{\theta}}_{k-1},P_{\theta,k-1} )$. 
\item \textit{Prediction}: All the generated particles are propagated according to the dynamic system model 
\item \textit{Weights computation}: The weights are obtained by relying on a pre-defined likelihood $p\left( \mathbf{z}_k | \hat{\bm{\theta}}_k^{(i)}\right)$ w.r.t. the expected measurements computed for each particle, the weights are hence defined as

\begin{equation}
\label{eq:measLikelihood}
{{w}}_k^{(i)}  =  \frac{\prod_i p \left( {z}_{n,k}- {z}_{n,k}^{(i)} \right)}{\sum_{i=1}^N \prod_i p \left( {z}_{n,k}- {z}_{n,k}^{(i)} \right)}.
\end{equation}

One of the most relevant aspects of \ac{PF} is that each class measurement can be treated independently from the other, such that Gaussian-distributed pseudorange measurements can be processed by means of a Gaussian likelihood, while the likelihood of the collaborative inter-agent distances can be determined accordingly to the specific error distribution.

\item \textit{Resampling}: This step is of prominent importance since it guarantees the algorithm effectiveness avoiding particle collapse and overoptimistic covariance estimation. A number of resampling methods can be used to optimize the filter behaviour \cite{li2015resampling}. As an example, the \textit{Bayesian Bootstrap} foresees the selection of $N$ samples from the particle set $\left\lbrace \bm{\theta}_k^{(i)} \right\rbrace$ with a picking probability $w_k^{(i)}$. When a uniform distribution is used as picking probability, $w_k^{(i)}=1/N$ the method is also referred to \ac {SIR}. An alternative strategy is named \textit{Importance Sampling} and it foresees the re-sampling according to the Bayesian bootstrap only if the number of samples is lower than a threshold

\begin{equation}
\label{eq:thresholdParticle}
N_{\theta} = \frac{1}{\sum_i \left( w_t^i \right)^2} < N_{th}
\end{equation}

provided that the number of effective particles $1 \leq N_{\theta} \leq N$ \cite{978396,905890}.

\item \textit{Estimation}: The bayesian estimation is eventually given by the weighted average of the generated particles, as in \eqref{eq:particle}
%\begin{equation}
%\label{eq:measLikelihood}
%\hat{\bm{\theta}}_k = \sum_{i=1}^N {{w}}_k^{(i)}\bm{\theta}_k^{(i)}.
%\end{equation}
\end{enumerate}

Given a sufficient number of simulated particles, the covariance matrix $\mathbf{P}_k$ associated to the state estimate $\bm{\theta}_k$, can be estimated by computing the \textit{sample covariance} over the set of output particles $\left\lbrace \bm{\theta}_k^{(i)} \right\rbrace$. 

%\begin{equation}
%\label{eq:sampleCov}
%
%\end{equation} 


Similarly to the indirect formulation of the error-state \ac{EKF}, also the \ac{PF} has been implemented with an indirect scheme. However for sake of simplicity, such an error-state \ac{PF} will be simply referred to as \ac{PF} or \ac{H-PF}.  
  
\section{On the approximation of a \ac{CRLB} for hybrid navigation filters}

This section provides a theoretical analysis about the information carried by the correlated measurements proposed in Chapter \ref{ch:rangingAlgorithms} when they are used to improve the position estimation. This original contribution which is published in \cite{minettoCRLB, 8926529} has been inspired by a set of research papers and articles about the formalization of the limits of hybrid positioning including auxiliary terrestrial measurements \cite{penna2010CRLB,5871406,7112186,gabela2018cramer,1268022,hendeby2004fundamental,Goel2019,hoang2017coop} and also by a couple of pioneering works that first identified the profitability of the exploitation of differential \ac{GNSS} measurements \cite{8752742,4412548,4343975,6236174,alam2011dsrc,Lassoued2015}.

The \ac{CRLB} defined for \ac{H-WLMS} and \ac{H-EKF} respectively, allows to emphasize the limiting conditions which guarantee or not a higher precision in the position estimation both in linear and non-linear estimation. 

The amount of information carried by an observed unbiased range measurement w.r.t. the estimated position is related to the relative position of the reference points and to the quality of the observable measurements \cite{kaplan2017understanding}. The goodness of this information is indeed inversely proportional to the variance of the measurement error itself and on the other hand, the ranges direction condition the \ac{GDOP} \cite{misra2006global}. As detailed in Chapter \ref{ch:GNSSfundamentals}, the \ac{GDOP} affects the positioning solution by altering the shape of the spatial distributions of its realizations, namely its precision which is evaluated through the \textit{position error covariance matrix}. The position error covariance matrix is a subset of $\mathbf{P}_k$ related to the spatial coordinates included in $\bm{\theta}_k$. The combination of the variance of such measurements and the \ac{GDOP} characterizes the whole positioning error, derived as in \cite{GDOPandCRLB} from the \ac{CRLB} of the positioning estimator.

In light of this, the analysis presented in \cite{7112186} investigates a composite dilution of precision for cooperative positioning, named \ac{CDOP}, by including generic terrestrial ranging contributions in the measurements set used for the computation of the position. The study provides the theoretical and experimental demonstration of a fundamental result by stating that

\begin{equation}
\label{eq:cooperativeGDOP}
\sqrt{{Tr}\left(\bar{\mathbf{H}}^{\top} \bar{\mathbf{H}}\right)^{-1}} \leq \sqrt{{Tr}\left({\mathbf{H}}^{\top}{\mathbf{H}}\right)^{-1}}.
\end{equation}

\added[id=1]{where $Tr(\cdot)$ indicates the trace operation and $\bar{\mathbf{H}}$ is the hybrid \ac{DCM} drawn accordingly to satellites and terrestrial anchors positions.}

As it has been demonstrated for standalone satellite-based navigation, any additional range contribution provided w.r.t. terrestrial reference points can only decrease the geometrical dilution factor. However, the variance of the estimated position depends also on the error contribution affecting the measurements. The analysis of the \ac{CRLB} for the position estimation allows indeed to include the measurements uncertainties along with their correlation in the evaluation of the profitability of a \ac{GNSS}-based hybrid collaborative navigation. 

\subsection{\ac{FIM} and \ac{CRLB}: definitions}

The \ac{CRLB} is employed to identify the minimum variance that can be reached by a given unbiased estimator \cite{kay1993fundamentals}. Indeed, the related \ac{CRLB} inequality states that this variance is bounded by the inverse of the \textit{Fisher Information} carried by a generic set of observable measurements $\mathbf{z}_k$. This fundamental limit can be generalized in its matrix form, as
\begin{equation}
\label{eq:crlb}
\left[\mathbf{P}_{{k}}\right]_{mn} \geq \left[\mathbf{F}_{k}\right]^{-1}_{mn} = \left[ -\mathbf{E}\left(\frac{\partial^2}{\partial\theta_m \partial\theta_n} \log f\left(\bar{\mathbf{z}}_k;\bm{\theta} \right)\Bigr|_{\bm{\theta}_k} \right)  \right]^{-1}
\end{equation}
where the pair $(mn)$ identifies the element of the matrix located at the $m$-th row and $n$-th column, ${\bm{\theta}_k}=\left[ \begin{array}{cccccccc} \theta_1,\theta_2, \hdots, \theta_M \end{array}\right]^T$ is a $M\times 1$ vector which defines the target state, and $\bar{\mathbf{z}}_k=\left[ \begin{array}{cccccccc} z_1,z_2, \hdots, z_N \end{array}\right]^T$ is the observed realization of a multivariate measurements vector which is associated to ${\bm{\theta}_k}$ by means of the \ac{PDF} $f\left(\bar{\mathbf{z}}_k;\bm{\theta}_k \right)$. The  $\mathbf{F}_{k}$ is a $M\times M$ matrix named \ac{FIM} and its inverse is namely the \ac{CRLB} matrix. \\
Given that both $\mathbf{P}_{\hat{k}}$ and $\left[{\mathbf{F}}_{k}\right]^{-1}$ are positive definite, an ordering relation can be defined to compare two estimators $T=T(\mathbf{z}_k)$ and $T'=T(\bar{\mathbf{z}}_k)$, as

\begin{equation}
\label{eq:traceInequality}
\left[\mathbf{F}_{T,k}\right]^{-1} > \left[\mathbf{F}_{T',k}\right]^{-1} \to \text{Tr}\left(\left[\mathbf{F}_{T,k}\right]^{-1}\right) > \text{Tr}\left(\left[\mathbf{F}_{T',k}\right]^{-1}\right)
\end{equation}

where $\text{Tr}\left(\cdot\right)$ is the trace operand which sums the diagonal elements of a given matrix.\\
When unbiased estimators are considered, the comparison of the respective \ac{CRLB} \eqref{eq:crlb} allows to identify the most advantageous solution. 

This study, starting from the definition of the \ac{CRLB} for hybrid positioning obtained under realistic assumptions, shows how a terrestrial correlated range brings information to the position estimation process depending on the observation conditions.

Besides the aforementioned definitions have been presented for a generic state vector $\bm{\theta}_k$, the \ac{CRLB} will be derived for position state only for sake of simplicity and readability.

\subsection{Range Contributions Modelling}

In the framework of this study, two classes of range measurements have been identified in Section \ref{sec:hmm} as observables belonging to the measurement vector, $\bar{\mathbf{z}}_k$, in \eqref{eq:crlb}. They are defined w.r.t. the \textit{target agent}, $i$:

\begin{itemize}
\item $\hat{\rho}_{i,k}^s$ is an estimate of the \textit{pseudorange} between the agent $i$ and the satellite $s$ at a given instant $t_k$ \cite{kaplan2017understanding}, defined as

 \begin{equation}
\label{eq:satRange}
\hat{\rho}_{i,k}^s = ||\mathbf{x}_{s,k}-\mathbf{x}_{i,k}||+b_{i,k} + w_{k}
\end{equation} 

where $b_{i,k}$ is a bias term due to the clocks misalignment and $w_k$ is the noise due to residual errors affecting the measurements \cite{kaplan2017understanding}. It is assumed Gaussian-distributed with zero-mean and variance $\sigma^2_{is,k}$.

\end{itemize}

\begin{itemize}
\item $\hat{d}_{ij,k}$ is an estimate of a pseudo inter-agent distance between the terrestrial agents $i$ and $j$

\begin{equation}
\hat{d}_{ij,k} = ||\mathbf{x}_{i,k}-\mathbf{x}_{j,k}||+ b_{ij,k} +w_k
\end{equation} 

where $b_{ij,k}$ %$=b_i(t_k)-b_i(t_k)$% 
is a generic bias term due to the ranging technique and $w_{ij,k}$ is the additive noise term affecting the measurements. For simplicity, as for the first class, it is assumed Gaussian-distributed with zero-mean and variance $\sigma^2_{ij,k}$ but its distribution can vary according to the baseline computation method described in Chapter \ref{ch:rangingAlgorithms}.\\
Inter-agent distances can be distinguished in \textit{independent} and \textit{dependent} from \eqref{eq:satRange}, according to the implementation of the selected method. 

\end{itemize}

Let consider multiple ranges are expected to be obtained for each class assuming that measurements coming from the same class are independent. Given that this analysis addressed the positioning improvement, only the subset of $\bar{\mathbf{z}}_k$ containing range measurements (i.e. satellites and collaborative) is considered. 
According to this assumption their error covariance matrices are diagonal and defined as $\mathbf{R}_{\rho,k}=\mathbf{E}\left[ \bm{\rho}_k\bm{\rho}_k^{\top} \right]-\mathbf{E}\left[ \bm{\rho}_k \right]\mathbf{E}\left[ \bm{\rho}_k \right]^\top$ and $\mathbf{R}_{d,k}=\mathbf{E}\left[ \bm{d}_k\bm{d}_k^{\top} \right]-\mathbf{E}\left[ \bm{d}_k \right]\mathbf{E}\left[ \bm{d}_k \right]^\top$ where $\bm{\rho}_k$ and $\bm{d}_k$ are generic \textit{measurements vectors} composed by a set of $S$ and $N$ range measurements from each class, respectively. A hybrid positioning solution combines the column vectors $\bm{\rho}_k$ and $\mathbf{d}_k$ in a \textit{hybrid measurements vector}, 

\begin{equation}
\label{eq:fullMeasVector}
{\bm{\mu}_i}(t_k)= \left[ \begin{array}{cccccccc} \bm{\rho}_i(t_k)^T & \bm{d}_i(t_k)^T \end{array}\right]^T
\end{equation}

and the related \textit{measurements noise covariance matrix} is hence defined as

\begin{equation}
\label{eq:measErrCovMatrix}
\mathbf{R}_{\bm{\mu}}(t_k)=\begin{bmatrix}
\mathbf{R}_{d,k} & \mathbf{R}_{dr,k}  \\
\mathbf{R}_{rd,k} & \mathbf{R}_{r,k}
\end{bmatrix}
\end{equation} 

where the sub-matrices $\mathbf{R}_{rd,k}=\mathbf{R}_{dr,k}=\underline{\mathbf{0}}$ if and only if terrestrial ranges are obtained independently from satellite-ranges included in $\bar{\mathbf{z}}_k$. This specific case has been heavily investigated for hybrid positioning with ranging sensors \cite{penna2010CRLB,hoang2017coop} while in this analysis such a restrictive assumption will be relaxed.

\section{Fisher Information Matrix in Positioning Estimation}
\label{sec:fisher}
As in \eqref{eq:crlb}, in order to evaluate the FIM it is sufficient to compute the second order derivative of the logarithm of the likelihood w.r.t. the vector $\bm{\theta}_k$, were 

\begin{equation}
\bm{\theta}_k=\left[ \begin{array}{cc} \mathbf{x}_{i,k} & b_{i,k} \end{array} \right]^T.
\end{equation}

In order to focus on the improvement of accuracy and precision of the positioning estimate, the bias term, $b_{i,k}$, will be eventually dropped as it is compensated from previous solutions $\hat{\bm\theta}_{k-1}$, being functional to the position computation \cite{kaplan2017understanding}. In the following derivation, time index will be dropped as well for readability reasons.

\subsection{Fisher Information Matrix for Satellite-only Contributions}

The theoretical log-likelihood for a generic Gaussian random variable is defined as

\begin{equation}
\label{eq:theoreticaLikelihood}
\mathcal{L}\left({\theta},\rho,\sigma_i \right)=  \log \frac{1}{\sqrt{2\pi}\sigma_i} - \frac{1}{2} \frac{\left( \mathbf{x}-\theta \right)^2}{\sigma_i^2}.
\end{equation}

Consequently, the log likelihood for a Gaussian pseudorange measured from a generic satellite, $s$, is obtained as

\begin{equation}
\begin{aligned}
\mathcal{L}\left(\mathbf{x}_i,r_{i,s},\sigma_{i,s} \right) &= \log p \left(\hat{\rho}_{i,s}|x_i,b_i \right)\\ &= C - \frac{|\hat{\rho}_{i,s}-||\mathbf{x}_s - \mathbf{x}_i ||-b_i|^2}{2\sigma_{i,s}^2}
\end{aligned}
\end{equation}

where $C$ is the constant term resulting from the first term of the summation in \eqref{eq:theoreticaLikelihood}, and $\sigma_{i,s}$ is the standard deviation associated to the pseudorange measurement $\hat{\rho}_i^s$.\\
As shown in \cite{penna2010CRLB}, the \ac{FIM} is computed as

\begin{equation}
\label{eq:fimDef}
{F}_i = -\mathbf{E}\left\lbrace H_i  \left[ \sum_s^{S_i} \mathcal{L}\left(\mathbf{x}_i,r_{i}^s,\sigma_{i,s} \right) \right] \right\rbrace
\end{equation}

where $H_i$ is the Hessian operator of the second order partial derivatives. The \ac{FIM} is hence defined as 

\begin{equation}
\label{eq:FIM}
{F}_{m}=\begin{bmatrix}
{F}_{\mathbf{x}_i} & \mathbf{f}_{x_i,b_i}  \\
\mathbf{f}^T_{x_i,b_i} & F_{b_i}
\end{bmatrix}
\end{equation} 

where each submatrix can be computed as

%\begin{equation}
\begin{align}
 \mathbf{F}_{\mathbf{x}_i} 
    &= \sum_{s\in\mathcal{S}_i} \frac{1}{\sigma^2_{i,s}} \mathbf{h}_{i,s}\mathbf{h}_{i,s}^T \label{eq:FIM_1}\\
 F_{b_i}
    &= \sum_{s\in\mathcal{S}_i} \frac{1}{\sigma^2_{i,s}} \label{eq:FIM_2}\\
 \mathbf{f}^T_{\mathbf{x}_i,b_i}
    &= \sum_{s\in\mathcal{S}_i} -\frac{1}{\sigma^2_{i,s}}\mathbf{h}_{i,s}. \label{eq:FIM_3}
\end{align}
%\end{equation}

where ${S}_i$ indicates in turn the set of satellites used by the target agent, $i$, to compute its own \ac{PVT} estimate.


\subsection{Fisher Information Matrix for Cooperative Contributions}

For the sake of simplicity, an estimate of a terrestrial range, $\hat{d}_{ij}(t_k)=\hat{d}_{ij}(t_k)-b_i(t_k)$, is considered by means of \ac{IAR} algorithm presented in Chapter \ref{ch:rangingAlgorithms}.
Given multiple shareable satellites between the collaborating agents, the $\hat{d}_{ij}$ can be computed as the weighted average of a set of contributions, as

\begin{equation}\label{eq:wAverageRealIAR}
\hat{d}_{ij}=\sum_{s=1}^S w_s \hat{d}_{ij}^s
\end{equation}

where the terms $w_s$ are the weights attributed to each measurement according to its variance. Although it has been shown that \ac{IAR} is characterized by a Gaussian-like distribution, its statistics is very sensitive to geometrical conditions \cite{minetto2018PLANS}. By neglecting on purpose this peculiar behaviour, the same approach discussed for the evaluation of the FIM about satellite range measurements is applied to the likelihood defined for \ac{GNSS}-only collaboratively-computed range measurements

\begin{equation}
\label{eq:terrLikelihood}
\log p \left(\hat{d}_{ij}|x_i \right)= C - \frac{|\hat{d}_{ij}-||\mathbf{x}_i - \mathbf{x}_i ||-b_{ij}|^2}{2\sigma_{ij}^2}.
\end{equation}

Therefore, \eqref{eq:fimDef} is applied to \eqref{eq:terrLikelihood} neglecting any dependency with respect to the other measurements. Eventually, the $\mathbf{F}_i$ for the hybrid system is still computed according to \eqref{eq:FIM}. 

\subsection{\ac{FIM} computation in non-linear system estimation}

Given that a reduced uncertainty about the computed position is not useful for real-time applications it is instead intuitive that
a refinement of the position at a given instant $t_k$ by means of the proposed integration scheme could lead to an improved estimate of the position at the following instant $t_{k+1}$. The update step provided by Bayesian estimation algorithms can benefit from this early refinement, such as in the case of the proposed modified \ac{EKF}. The \ac{EKF} is a Bayesian estimator widely used in the estimation of system dynamics due to the capability of constraining the positioning solution according to a model of the dynamics of the motion and exploiting the relationship of the state at the previous instant with the current state. Such an estimation typically outperforms \ac{LMS} estimation both in terms of accuracy and precision. Furthermore, \ac{EKF} is a non-linear extension of the plain \ac{KF}, thus it allows to integrate non-linear measurements through a linearized model which links state and measurements such as for \ac{LMS} estimation. Additional details about EKF fundamentals and implementation are left to the reader and they can be found in \cite{brown}.

The \ac{CRLB} for dynamic systems is modelled by non-linear time-varying state vector differential equations with deterministic inputs and non-linear time-varying observations on the state variables, corrupted by additive Gaussian white noise \cite{4046308}. It has been demonstrated that \ac{FIM} propagates according to the error covariance matrix for an \ac{EKF} linearized w.r.t. the true trajectory. For this reason, the \ac{FIM} can be computed as

\begin{equation}
\label{eq:ekfFIM}
\mathbf{F}_k = \left(\bm{\Phi}_{k-1}^{-1}\right)^{\top} \mathbf{F}_{k-1} \bm{\Phi}_{k-1} + \bar{\mathbf{H}}_k^{\top} \mathbf{R}_k^{-1} \bar{\mathbf{H}}_k
\end{equation}

\subsection{On the Approximation of the \ac{FIM} for Hybrid Navigation Filters}
Actually, the \ac{CRLB} of the hybrid solution can be used as an estimation of the error covariance matrix of the hybrid position estimate. As proposed in \cite{penna2010CRLB}, the hybrid \ac{FIM} can be obtained by the sum of the satellite-only \ac{FIM} and the cooperative \ac{FIM} if and only if independent measurements are considered. 

In order to deal with measurements correlation the \ac{FIM} should be instead computed as $\mathbf{F}_{\mathbf{\theta},\bm{\mu}}=\mathbf{F}_{\mathbf{\theta},\bm{\rho}}+\mathbf{F}_{\mathbf{\theta},\bm{d}|\bm{\rho}}$, where $\mathbf{F}_{\mathbf{\theta},\bm{d}|\bm{\rho}}$ is the Fisher information related to the conditional probability density of the inter-agent range measurements for the given set of pseudoranges measurements, $\bm{\rho}$. The computation of the mutual Fisher information is out of the scope of this study provided that the likelihood of the inter-agent range measurements must be derived specifically for any given geometrical conditions \cite{minetto2018PLANS}. 
The proposed solution does not contemplate correlation among the two classes of measurements, therefore the hybrid FIM is obtained through the computation of \eqref{eq:FIM_1},\eqref{eq:FIM_2},\eqref{eq:FIM_3} for all the available measurements in the hybrid measurement vector, $\bm{z}_i$. Although it is assumed that $\mathbf{F}_{\mathbf{\theta},\bm{d}|\bm{\rho}} \simeq \mathbf{F}_{\mathbf{\theta},\bm{d}}$, no remarkable losses were observed in terms of covariance estimation accuracy, as it will be shown in the results in the following chapters.

In the example shown in Figure \ref{fig:thCRLB}, given a pre-defined trajectory and an a-priori knowledge of the measurements variances, the \ac{CRLB} is expected to identify the profitable time instants in which cooperative approach guarantees improved precision w.r.t. \ac{GNSS} standalone positioning.

\begin{figure}[ht!]
\centering
\includegraphics[width=0.7\linewidth,trim={1.2cm 0.0cm 0.5cm 0cm},clip]{ch5_theoreticalLMSvsHLMS.eps}
\caption{{\small Example of theoretical computation of satellite-based positioning CRLB vs. hybrid positioning CRLB for a dynamic trajectory.  }}
\label{fig:thCRLB}
\end{figure} 

Moving from these considerations and from the \ac{FIM} derivation for the Gaussian-distributed satellite range measurements recalled so far, the same quantity is computed for correlated terrestrial range measurements to estimate and compare the overall uncertainty of the computed position estimates.

%\section{Methodology}
%\label{sec:method}
%
%The proposed numerical simulation aims at analysing the impact on the positioning algorithm of the target agent which integrates correlated satellite and dependent terrestrial range measurements. Furthermore, the analysis aim at verifying whether an approximation of the \ac{CRLB} can still be suitable to identify the profitability of the technique.
%
%\begin{figure}[ht!]
%\centering
%\includegraphics[width=9cm,trim={1.2cm 0.5cm 0.5cm .5cm},clip]{ch4_lemniscateTraj_peer_noAxes.eps}
%\caption{{\small Example of a Bernoullian lemniscate path of $1046.7$ m travelled at an average speed of $26.15$ m/s. The dashed lines show the additional terrestrial range provided according to \eqref{eq:realIAR}. }}
%\label{fig:trajectory}
%\end{figure} 
%
%\begin{figure}[ht!]
%\centering
%\includegraphics[width=9cm,trim={1.2cm 0cm 1.2cm 0.5cm},clip]{ch4_skplotExp_revisions.eps}
%\caption{{\small Skyplot of the relative azimuth, $\phi$, and elevation, $\alpha$, of the satellites and the aiding agent w.r.t. the target agent position at given time instant.}}
%\label{fig:skyPlot}
%\end{figure} 
%
%
%\begin{figure}[h!]
%\centering
%\includegraphics[width=9cm,trim={0.5cm 1cm 0.5cm .5cm},clip]{ch4_LMS_scheme.pdf}
%\caption{{\small Block scheme of numerical simulations. The outputs of the LMS blocks were compared to assess the positioning performance. $\mathbf{X_S}$ indicates the positions of the visible satellites.}}
%\label{fig:simulationScheme}
%\end{figure}  
%
%
%The target agent moves along the Bernoullian path in Figure \ref{fig:trajectory} while the aiding agent position, $\mathbf{x}_i$ is assumed static for every $t_k$. In the considered scenario 
%both the agents compute their position estimates, $\hat{\mathbf{x}}_i$ and $\hat{\mathbf{x}}_i$, by relying on a given set of satellites, depicted in Figure \ref{fig:skyPlot}. The target agent is designed to exploit the \ac{IAR} information obtained for each time instant, $t_k$ through the collaboration with the aiding agent. As depicted in Figure \ref{fig:simulationScheme}, the \ac{GNSS}-only positioning, referred to as \ac{LMS}, is first performed to obtain a coarse estimate of $\hat{\mathbf{x}}_i(t_k)$, then navigation data are used to determine collaborative ranges $\hat{\mathbf{d}}_{ij}(t_k)$ which are integrated in a further hybrid positioning computation, named \ac{H-LMS}, to refine the previous outcome, hereafter referred as to $\hat{\mathbf{x}}^+_i(t_k)$.
%
%For  sake of example, 4 satellites with azimuth $\phi \in \left\lbrace \pi,\frac{3}{2}\pi \right\rbrace $ and elevation $\alpha \in \left\lbrace \frac{\pi}{24},\frac{\pi}{2} \right\rbrace$ were considered. The axial standard deviations were measured from the numerical simulation and, in parallel, estimated through the \ac{CRLB} \eqref{eq:crlb}. 
%
%The following analysis is based on a Monte Carlo simulation by consider $W$ realizations of the trajectory followed by the moving agent. The \ac{IAR} measurements are expected to vary along with the time instants, $t_k$, while satellites  are assumed static to limit the variability of the scenario without any loss of generality. The measurement and the positioning estimates are performed for each run at the same time instant, $t_k$. \\
%The error covariance matrix of each positioning solution is estimated as 
%
%\begin{equation}
%\label{eq:covEstimation}
%\hat{\mathbf{P}}_{x}(t_k)=\frac{1}{W-1}\sum_{w=1}^W\left(\hat{\mathbf{x}}_w-\mathbf{\mu}\right)\left(\hat{\mathbf{x}}_w-\mathbf{\mu}\right)^T.
%\end{equation}
%
%In the following, the horizontal components of \eqref{eq:covEstimation} are plotted as \textit{information ellipses} \cite{shen2010limitsPart1} according to the eigenvalues of the position error covariance matrix. \textbf{[RICORDARE APPENDICE SULLA VISUALIZZAZIONE DELLE ELLISSI E LA LORO CONVERSIONE]}
%The positioning bias is computed as the mean error w.r.t. the true position of the target agent
%
%\begin{equation}
%\label{eq:biasEstimation}
%\hat{\xi}_\mathbf{x}(t_k)=\frac{1}{W}\sum_{w=1}^W\left(\hat{\mathbf{x}}_w-\mathbf{x}\right).
%\end{equation}
%
%In order to observe the correlation of the measurements involved in the hybrid estimation of the position, the \textit{Pearson correlation coefficients} of the measurements are computed as
%
%\begin{equation}
%\label{eq:corrCoeff}
%C(\bm{\mu}_1(t_k),\bm{\mu}_2(t_k))=\frac{\text{cov}\left[\bm{\mu}_1(t_k),\bm{\mu}_2(t_k)\right]}{\sigma_{\bm{\mu}_1(t_k)}\sigma_{\bm{\mu}_2(t_k)}}.
%\end{equation}
%
%where $\text{cov}\left(\cdot\right)$ indicates the same covariance estimator as for \eqref{eq:covariance} and the generic $\bm{\mu}(t_k)$ collects a set of $W$ random realizations of the measurements vector for the instant $t_k$.\\
%The profitability of the hybrid solution is evaluated by means of \eqref{eq:traceInequality}, as the ratio of the time instants $t_k$ in which the condition
%
%\begin{equation}
%\text{Tr}\left(\left[{F}_{\text{H-LMS},\mathbf{x}}(t_k)\right]^{-1}\right) > \text{Tr}\left(\left[{F}_{\text{LMS},\mathbf{x}}(t_k)\right]^{-1}\right)
%\end{equation}
%
%is satisfied w.r.t. the overall simulation time. The \textit{profitability percentage} of the methods will be referred to as $\tau_\text{exp}$ and $\tau_\text{CRLB}$ to describe the advantage of \ac{H-LMS} computed from the numerical simulation and from \ac{CRLB}, respectively.
%
%
%
%\section{Numerical Results}
%\label{sec:results}
%
%In this section, results from the aforementioned Bernoullian trajectory are first presented addressing a statistical analysis of the correlated measurements. The determination of the profitability of the H-LMS is then detailed by comparing the values obtained from numerical simulation and theoretical CRLB. A set of elementary trajectories is eventually tested to extend the analysis to a wider range of geometrical conditions for the target agent.
%
%
%\subsection{Hybrid Positioning in Bernoullian Trajectory}
%The results presented in this subsection are referred to the example of collaborative scenario depicted in Figure \ref{fig:trajectory} and obtained by means of a Monte Carlo simulation using $W=10000$ trials for each time instants $t_k$. 
%
%\subsubsection{Hybrid Positioning with Correlated Measurements}
%
%%\begin{figure}[ht!]
%%\centering
%%\includegraphics[width=9.6cm,trim={1cm 0cm 0cm 0.6cm},clip]{biasCDF_revision.eps}
%%\caption{{\small Empirical Cumulative Density Function (CDF) of the positioning error $\hat{\xi}_\mathbf{x}$ for each time instant $t_k$.}}
%%\label{fig:biasCDF}
%%\end{figure} 
%
%
%In Figure \ref{fig:trajEstimation}, the positioning solution of the \ac{LMS} (left) and \ac{H-LMS} (right) are presented. The information ellipses shows a remarkable difference between the two approaches in terms of error covariance matrix of the positioning solution. The most significant improvement can be observed between the time instants $t_3$ and $t_5$. It is evident from the plots that the hybrid solution integrating \ac{IAR} measurements reduces the uncertainty in some specific portions of the path. The cumulative density function of the Root Mean Square Error (RMSE), computed along the trajectory presented in Figure \ref{fig:biasCDF}, shows that the hybrid scheme overall improves the positioning performance w.r.t. GNSS standalone solution.
%The time series of axial biases and standard deviations are reported in Figure \ref{fig:experimentalSTD} and Figure \ref{fig:experimentalBias}, respectively. It is worth to noticing that both the metrics show a higher dynamics for the hybrid solution due to the fast variations in the relative positions of the agents w.r.t. the slower satellites-to-target dynamics. 
%By considering the standard deviation behaviour depicted in Figure \ref{fig:experimentalSTD}, it is remarkable that on $y$-axis the aforementioned improvement is still well visible between $t_3$ and $t_5$, when the collaborating agent is observed in the opposite direction w.r.t. the satellites. The $z$-axis is instead less sensitive to the dynamics of the agents since their relative elevation does not vary along the trajectory. As shown in Figure \ref{fig:experimentalBias}, also the bias presents a similar behaviour, showing improved performance according to the same favourable position of the collaborating agent, $\mathbf{x}_i$.
%
%%\begin{figure}[h!]
%%\centering
%%\includegraphics[width=9.5cm,trim={1.2cm 0cm 0cm 0.0cm},clip]{CRLBvsEXPERIMENT_withTime_revision.eps}
%%\caption{{\small Comparison of measured axial standard deviations and estimated standard deviations from the CRLB for LMS positioning and H-LMS by Monte Carlo simulations.}}
%%\label{fig:comparisonExpvsCRLB}
%%\end{figure} 
%
%The plots in Figure \ref{fig:R_matrix} shows the Pearson correlation coefficients \eqref{eq:corrCoeff} of the measurements at the different time instants $t_k$. The first row and column of each matrix indicates the correlation coefficients related to the dependent \ac{IAR} measurement. It can be observed that in correspondence to $t_4$, a-posteriori identified as the most beneficial time-instant for cooperation, a very low correlation can be observed among the measurements. 
%
%To observe the benefits of \ac{H-LMS} from the theoretical point of view, Figure \ref{fig:comparisonExpvsCRLB} shows the comparison of the standard deviation computed via numerical simulation and the estimated ones obtained for the \ac{CRLB} estimation of both the solutions. While the quantities match perfectly in the case of \ac{LMS}, CRLB is not accurate for \ac{H-LMS} due to the measurement correlation among IAR and pseudorange measurements. In correspondence of $t_4$, where the lowest correlation value has been observed, numerical values and theoretical estimations tends to match. 
%
%The profitability percentage in terms of horizontal precision of the \ac{H-LMS} is evaluated computing the percentage of the time in which the trace of the covariance matrices and the \ac{CRLB} of the \ac{H-LMS} are lower than the respective values from the \ac{LMS}. The profitability percentage computed by means of estimated \ac{CRLB} is $91.93\%$, which is remarkably close to the value obtained from simulated data, $89.73\%$.
%
%
%Provided a coarse knowledge of the position of the collaborating agents and of the uncertainties of their GNSS measurements, an estimation of the uncertainty of the collaborative ranges can be in turn computed \cite{minetto2018PLANS}. Finally, the approximation of the CRLB for the hybrid positioning algorithm can be used to enable hybrid positioning according to \eqref{eq:traceInequality} or to exclude unprofitable terrestrial contributions through the minimization of the CRLB, as in \cite{6311243}. 
% 
%%\begin{figure*}[ht!]
%%\centering
%%\includegraphics[width=\textwidth,trim={3.2cm 0cm 2.5cm 0cm},clip]{fig/R_matrix.eps}
%%\caption{{\small Matrices of Pearson correlation coefficients \eqref{eq:corrCoeff} computed for the measurement error covariance $\mathbf{R}_\rho$, and observed at sample time instants $t_k$, where $k \in \left\lbrace 1,5 \right\rbrace$.}}
%%\label{fig:R_matrix}
%%\end{figure*} 
%
%\subsection{Other Trajectories}
%
%The same scenario in terms of satellites and aiding agent locations is used to analyse a set of different trajectories to identify the profitable behaviour of the hybrid solution with different geometrical configurations. All the trajectories are centered around the origin of the simulated scenario.
%
%%\begin{figure}[h!]
%%\centering
%%\includegraphics[width=9.5cm,trim={1cm 0.8cm 0cm 0cm},clip]{fig/trajComparison.eps}
%%\caption{{\small Horizontal CRLB computed for H-LMS in different elementary geometrical trajectories vs. horizontal \ac{CRLB} computed for \ac{LMS}.}}
%%\label{fig:trajCRLBs}
%%\end{figure}
%
%
%\begin{table}
%\normalsize
%\centering
%\caption{Comparison of profitability of \ac{H-LMS} for other elementary geometrical trajectories}
%\label{tab:trajectories}
%\begin{tabular}{lccc}
%\toprule
%\textbf{Trajectory Shape}   & $\tau_\text{exp}$   & $\tau_\text{CRLB}$ & MSE (m)  \\ \midrule
%Squircle 				&  $72.21\%$ 	& $81.90\%$	 & 	$0.26$	\\
%Circular 				&  $73.11\%$  	& $79.46\%$  &	$0.21$	\\
%Rose lemniscate 		&  $74.57\%$    & $77.50\%$	 &	$0.16$	\\ 
%Archimedea Spiral 		&  $75.41\%$  	& $80.67\%$	 &	$0.13$	\\
%Bernoullian lemniscate 	&  $89.73\%$ 	& $91.93\%$	 &	$0.15$	\\ \bottomrule
%\end{tabular}
%\end{table}
%
%
%As shown in Table \ref{tab:trajectories}, the evaluation of the profitability percentage, $\tau_\text{CRLB}$, through the proposed estimation is more conservative w.r.t. the actual simulation results. Furthermore, the \ac{MSE} computed along the trajectory between simulated and theoretical standard deviation value is almost negligible for all the tested trajectories. Figure \ref{fig:trajCRLBs} summarizes the horizontal values of the theoretical \ac{CRLB} computed for the \ac{H-LMS} using different geometrical trajectories. The values are compared to the \ac{CRLB} computed for \ac{LMS} which is almost constant along all the trajectories due to the large distance of the satellites from the target at each $t_k$. 
%
%\subsection{On the Approximation of the FIM for IAR-\ac{H-EKF}}
%
%\begin{figure*}
%\centering
%\includegraphics[width=\textwidth,trim={0.0cm 0cm 0cm 0cm},clip]{ch4_trajEstCov_horCombined_EKF_v2.eps}
%\caption{{\small Estimated \ac{EKF} and \ac{H-EKF} positioning solutions according to the scenario depicted in Figure \ref{fig:trajectory}. The information ellipses describe the horizontal standard deviation at $90\%$, $99\%$ and $99.9\%$ confidence intervals, obtained from the eigenvalues of the matrix $P_\mathbf{x}$ in a subset of time instants, $t_k$. Results from a Monte Carlo simulation with parameters $W=10000$, $\sigma_{i,s}=1$, $max(d_{ij})=300$ m. }}
%\label{fig:trajEstimation_EKF}
%\end{figure*} 
%
%Figure \ref{fig:trajEstimation_EKF} shows the same Bernoullian path presented in Figure \ref{fig:trajEstimation} along with the estimated position and associated information ellipses obtained by means of \ac{EKF}-based positioning. Differently from the \ac{LMS}-based solutions, the benefits of the hybridization are less evident in the \ac{EKF}-based navigation algorithm. However it is remarkable to notice a faster convergence of the covariance at the beginning of the motion. 
%
%\begin{figure}
%\centering
%\includegraphics[width=0.9\textwidth,trim={1.2cm 0cm 0cm 0.0cm},clip]{ch4_CRLB_EKF_REGvsHYB_exp_v2.eps}
%\caption{{\small CRLB computed for EKF and H-EKF compared to the statistical values of the trace of the error covariance of the position obtained from the Monte Carlo simulation. The ordinate axis is logarithmic scale for improved readability.}}
%\label{fig:CRLBekf}
%\end{figure} 
%
%The CRLB defined for EKF is less sensitive to the geometry of the system as shown in the theoretical limit computation in Figure \ref{fig:CRLBekf}. This is partially due to the convergence of the covariance along the trajectory path which masks the dynamics of the CRLB. However, the example shows that the theoretical advantage between EKF and H-EKF is remarkable. It can be observed that as far as the trace converges, the information carried by collaborative measurements becomes less relevant for experimental values, differently from what we expect in theory. It has to be noticed that approaching the time instant $t_4$, the CRLB for H-LMS shows a faster decrement which matches the analysis performed for the H-LMS algorithm while the same behaviour is not evident in the experimental values. The profitability analysis of the integration of auxiliary measurements in EKF scheme provided values of $100 \%$ for all the tested trajectories shown in Table \ref{tab:trajectories} but due the peculiar considerations made for the EKF, the comparison between theoretical and experimental values is not worthy to be reported.
